# TdApi.PremiumFeaturePromotionAnimation (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: PremiumFeaturePromotionAnimation

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.PremiumFeaturePromotionAnimation

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.PremiumFeaturePromotionAnimation

Enclosing class:
  TdApi

public static final class TdApi.PremiumFeaturePromotionAnimation extends TdApi.Object
Describes a promotion animation for a Premium feature.

## Field Summary

Fields
Modifier and Type
Field
Description
`TdApi.Animation`
`animation`
Promotion animation for the feature.
`static final int`
`CONSTRUCTOR`
`TdApi.PremiumFeature`
`feature`
Premium feature.

## Constructor Summary

Constructors
Constructor
Description
`PremiumFeaturePromotionAnimation()`
Describes a promotion animation for a Premium feature.
`PremiumFeaturePromotionAnimation(TdApi.PremiumFeature feature, TdApi.Animation animation)`
Describes a promotion animation for a Premium feature.
`PremiumFeaturePromotionAnimation(DataInput input)`
Describes a promotion animation for a Premium feature.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### feature

public TdApi.PremiumFeature feature
Premium feature.

### animation

public TdApi.Animation animation
Promotion animation for the feature.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### PremiumFeaturePromotionAnimation

public PremiumFeaturePromotionAnimation()
Describes a promotion animation for a Premium feature.

### PremiumFeaturePromotionAnimation

public PremiumFeaturePromotionAnimation(TdApi.PremiumFeature feature, TdApi.Animation animation)
Describes a promotion animation for a Premium feature.

Parameters:
  `feature` - PremiumFeature Premium feature.
  `animation` - Animation Promotion animation for the feature.

### PremiumFeaturePromotionAnimation

public PremiumFeaturePromotionAnimation(DataInput input) throws IOException
Describes a promotion animation for a Premium feature.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`